%global modulename pumpify

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-pumpify
Version:        1.5.1
Release:        1%{?dist}
Summary:        Combine an array of streams into a single duplex stream using pump and duplexify

License:        MIT
URL:            https://github.com/mafintosh/pumpify
Source0:        https://registry.npmjs.org/pumpify/-/pumpify-1.5.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(duplexify) >= 3.6.0 with npmlib(duplexify) < 4.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.3 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(pump) >= 2.0.0 with npmlib(pump) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Combine an array of streams into a single duplex stream using pump and duplexify

%package 1.5.1
Summary:        Combine an array of streams into a single duplex stream using pump and duplexify


%description 1.5.1
Combine an array of streams into a single duplex stream using pump and duplexify

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.5.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.5.1-1
- Package automatically generated by npm2srpm
